Verify and complete a customer artifact upload
POST /v1/artifacts/{artifactId}/complete · SDK completeArtifactUpload · CLI deployments artifact complete, deployments chat
Requires artifacts:write.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
artifactId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ArtifactResponse
application/json- response
agentDeploymentId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$artifactId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$byteSize*number|||contentType*stringcreatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timefileName?stringinput?|||metadata?name*stringobject*"artifact""artifact"retentionExpiresAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timerunId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$status*string"available""deleted""failed""pending"threadId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$type*stringupdatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeversion*number|||visibility*string"organization""private""public"curl -X POST "https://example.com/v1/artifacts/string/complete"{ "agentDeploymentId": "string", "artifactId": "string", "byteSize": 0, "contentType": "string", "createdAt": "2019-08-24T14:15:22Z", "fileName": "string", "input": { "kind": "image", "mediaType": "image/jpeg" }, "metadata": { "property1": null, "property2": null }, "name": "string", "object": "artifact", "retentionExpiresAt": "2019-08-24T14:15:22Z", "runId": "string", "status": "available", "threadId": "string", "type": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "visibility": "organization"}